eepskye & eepe binaries for linux won't work in ubuntu 16.04 (Xenial Xerux). How to build eepskye & eepe

eepSKYe is the desktop too for flashing and managing your sky9x firmware.
Post Reply
DanielGA
Posts: 20
Joined: Sat Mar 19, 2016 10:44 am
Country: Spain

eepskye & eepe binaries for linux won't work in ubuntu 16.04 (Xenial Xerux). How to build eepskye & eepe

Post by DanielGA » Sun Dec 25, 2016 6:39 pm

Current eepskye & eepe binaries for linux won't work in ubuntu 16.04 (Xenial Xerux) as it has some broken dependencies probably because it was built for Ubuntu 14.04. Missing dependencies are libqt4-gui and libqt4-core as they are not compatible with Ubuntu Xenial.

The good new is that eepskye (and eepe) can be easily build with the following steps:

1. Install QtCreator

Code: Select all

sudo apt-get install qtcreator
2. Import project from Github (https://github.com/MikeBland/mbtx). It can be downloaded from browser as a zip file and then extracted or within QtCreator (New project->Git clone). The top folder is mbtx
3. Download the scripts to create stamp files from viewtopic.php?t=8583
4. Extract stamp-eepskye-gen to mbtx/eepe/eepskye
5. Make it executable:

Code: Select all

chmod +x stamp-eepskye-gen
and execute

Code: Select all

./stamp-eepskye-gen
It will create stamp-eeskye.h in src folder
6. In scr folder double click on eepskye.pro. It will import the project into Qtcreator
7. In QtCreator go to Projects and choose Release build and the path to build it
8. Build the project
9. Finally you may want to copy the executable eepskye from build folder to /usr/local/bin

Change eepskye to eepe in the above steps if you want to build eepe

Regards and congratulations for the great job!!

slimvulcanrider
Posts: 40
Joined: Wed Feb 01, 2017 4:38 am
Country: -

Re: eepskye & eepe binaries for linux won't work in ubuntu 16.04 (Xenial Xerux). How to build eepskye & eepe

Post by slimvulcanrider » Mon Feb 06, 2017 3:00 pm

I haven't worked in Linux for several years. Now that my main system is running openSUSE Leap 42.2 I have been relearning how to build packages again. What I need to know is where to go to learn how to do a build environment from source code... What packages do I need to install? I keep finding Debian packages, but SUSE uses RedHat...

Post Reply

Return to “eepSKYe”

Who is online

Users browsing this forum: No registered users and 2 guests